Bug 462200 - Various issues causing PA to be killed by the CPU load limiter (was: snd_pcm_mmap_playback_avail returns immens values which cause PA to fail due to CPU overload)
Various issues causing PA to be killed by the CPU load limiter (was: snd_pcm_...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
: 462067 464816 465610 466027 466316 466338 466478 466530 466840 467087 467891 468118 468332 (view as bug list)
Depends On:
Blocks: F10Target F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-09-13 17:55 EDT by Michal Piotrowski
Modified: 2013-01-08 19:50 EST (History)
47 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 18:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of pulseaudio -vv before dying (2.73 KB, text/plain)
2008-09-13 17:58 EDT, Michal Piotrowski
no flags Details
Analysis of a similar problem (7.99 KB, text/plain)
2008-09-14 11:24 EDT, Alexander Gavrilov
no flags Details
Workaround patch for alsa-lib (1.87 KB, patch)
2008-09-14 15:26 EDT, Alexander Gavrilov
no flags Details | Diff
log before Rhythmbox crash (28.97 KB, text/plain)
2008-10-20 14:59 EDT, antonio montagnani
no flags Details
crash with latest pulseaudio (21.97 KB, text/plain)
2008-10-24 01:39 EDT, antonio montagnani
no flags Details
another log - my laptop while at the office ;-) (24.48 KB, text/plain)
2008-10-24 04:57 EDT, antonio montagnani
no flags Details
Another log (16.14 KB, text/plain)
2008-10-24 08:21 EDT, antonio montagnani
no flags Details
log with kernel from koij 2.6.27.3-44.fc10.i686 (17.67 KB, text/plain)
2008-10-24 12:40 EDT, antonio montagnani
no flags Details
output of pulseaudio -vvv (40.95 KB, text/plain)
2008-10-24 23:03 EDT, Peter Gückel
no flags Details
output of pulseaudio -vvvv (118.06 KB, text/plain)
2008-10-25 16:23 EDT, Peter Gückel
no flags Details
Pulseaudio daemon messages after updating to 0.9.13-4 (3.61 KB, text/plain)
2008-10-26 13:14 EDT, Stefan Becker
no flags Details
Log of pulseaudio -vvv using VLC (6.70 KB, application/octet-stream)
2008-11-01 04:31 EDT, antonio montagnani
no flags Details
Log with Rhytmbox (15.01 KB, application/octet-stream)
2008-11-01 04:33 EDT, antonio montagnani
no flags Details

  None (edit)
Description Michal Piotrowski 2008-09-13 17:55:57 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

After recent updates pulseaudio started to die regularly.

Reproducible: Always

Steps to Reproduce:
1. Listen to some music in Amarok and in less than an hour pulseaudio should die.

Actual Results:  
No sound. I have to manually restart pulseaudio

Expected Results:  
Uninterrupted sound output.

version: pulseaudio-0.9.10-1.fc9.x86_64
audio device: HDA NVidia

I will attach last lines of output of pulseaudio -vv. If I can provide more information please let me know.
Comment 1 Michal Piotrowski 2008-09-13 17:58:57 EDT
Created attachment 316675 [details]
Output of pulseaudio -vv before dying
Comment 2 Alexander Gavrilov 2008-09-14 11:24:10 EDT
Created attachment 316691 [details]
Analysis of a similar problem

I have a similar problem on my system, which also occurs very frequently when I use KDE 4 desktop effects, e.g. move or resize a window, switch between desktops, or even quickly scroll text in kwrite. These actions also cause noticeable interruptions in the sound flow, even when pulseaudio stays alive.

I debugged it a bit, and it seems that it is mainly a driver or hardware bug. However, I think that pulseaudio should check values that it gets from ALSA, instead of diving into a semi-infinite loop.

Hardware driver: HDA Intel.
Comment 3 Alexander Gavrilov 2008-09-14 15:26:43 EDT
Created attachment 316695 [details]
Workaround patch for alsa-lib

With this patch pulseaudio on my system simply prints error messages instead of crashing:

ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -3104
ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -1976
ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -928
ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -664
ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -1160
ALSA lib pcm_local.h:423:(snd_pcm_mmap_playback_avail) Playback backtrack detected: -72

Disclaimer: this patch does not fix the real problem.
Comment 4 Michal Piotrowski 2008-09-19 11:13:36 EDT
I suspect it can be connected with the latest kernel update to version 2.6.26.3-29.fc9.x86_64. With the earlier kernel version (2.6.25.14-108.fc9.x86_64) pulseaudio was quite stable.
Comment 5 Lennart Poettering 2008-09-23 20:08:16 EDT
This is very interesting, and I actually believe quite a few bug reports are related to this.
Comment 7 Alexander Gavrilov 2008-09-29 11:29:04 EDT
(In reply to comment #6)
> Could you please try again with 2.6.27 from rawhide as suggested?

Will it work with a Fedora 9 installation? Some people say it won't, and I don't want to break my system.

With the current kernel I can make this problem manifest simply by rapidly minimizing and unminimizing Firefox several times. When the glitch happens, a tiny fragment of sound is repeated several times, and, appparently if pulseaudio tries to update at the right moment, a warning message from my patch.

Btw, perhaps it would be useful for me or somebody else to upload a complete patched alsa-lib rpm, so that the original submitter of the bug can try it and confirm/disprove that the cause of his problems is identical to mine?
Comment 8 Lennart Poettering 2008-10-01 20:36:37 EDT
You'd have to do a full update to rawhide i fear.
Comment 9 Clive Messer 2008-10-06 10:56:42 EDT
Same problem here. Confirmed with Alexander Gavrilov alsa-lib patch.
Comment 10 drago01 2008-10-12 05:13:46 EDT
You can also just test with the module from 2.6.27.

1) Backup /lib/modules/`uname -r`/kernel/sound/pci/hda/snd-hda-intel.ko
2) Download 2.6.27 sources from kernel.org
3) cd sound/hda
4) make -C /lib/modules/`uname -r`/build modules
5) copy the resulting snd-hda-intel.ko to /lib/modules/`uname -r`/kernel/sound/pci/hda/snd-hda-intel.ko
6) run /sbin/depmod -a
7) reboot
8) try to reproduce the bug.
Comment 11 Clive Messer 2008-10-12 06:37:57 EDT
I've been using a snd_hda_intel.ko (built from 2.6.27-0.392.rc8.git7.fc10 source) with 2.6.26 kernel on fc9 for 2 days. It has resolved the issue.

BTW, steps above ....

2) cd sound/pci/hda
4) make -C /lib/modules/`uname -r`/build M=$PWD modules
Comment 12 Peter Dawes 2008-10-15 09:20:45 EDT
The fix from comments 10/11 appear to have resolved the problem for me too.
Comment 13 Clive Messer 2008-10-15 10:09:07 EDT
Should we re-assign this bug to the kernel? 
The latest 2.6.26 builds in koji (2.6.26.6-74) do not contain a fix for the issue. Perhaps if it is re-assigned to kernel the maintainers can backport the hda-intel from 2.6.27 to 2.6.26 for fc9? (Especially, if a 2.6.27 for fc9 is not going to be released in the near future.)
Comment 14 Martin Jürgens 2008-10-15 11:43:17 EDT
Yes, should be reassigned IMO.
Comment 15 Chuck Ebbert 2008-10-15 16:37:03 EDT
(In reply to comment #13)
> Should we re-assign this bug to the kernel? 
> The latest 2.6.26 builds in koji (2.6.26.6-74) do not contain a fix for the
> issue. Perhaps if it is re-assigned to kernel the maintainers can backport the
> hda-intel from 2.6.27 to 2.6.26 for fc9? (Especially, if a 2.6.27 for fc9 is
> not going to be released in the near future.)

We can't backport the entire driver. Can the ALSA developers identify the patches that fix this problem?
Comment 16 Clive Messer 2008-10-15 19:02:40 EDT
I'm not an alsa developer! And I need to verify this, but someone with more of a clue might be able to take this as a hint and pick up on it.

I believe the patch that caused the 'breakage' in 2.6.26 series kernels .....

http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.26.y.git;a=commitdiff;h=9ad593f6d326e7a4664e3856520f6c042f82a37f

And I think the patch (from 2.6.27) that will resolve it ....

http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.27.y.git;a=commitdiff;h=675f25d4d3ff6501cbce608bcc2333a56ec4c105

But I'm guessing a bit here as I just created a diff to the entire sound/pci/hda of 2.6.27 to fix this, which includes several other patches relating to the new bdl code. I'll test tomorrow with individual patches in no-one else jumps in.
Comment 17 Clive Messer 2008-10-18 09:36:22 EDT
After more testing, I can now reproduce this with 2.6.25, 2.6.26, 2.6.26 plus hda-intel kmod from 2.6.27 and 2.6.26 plus alsa-driver-1.0.18rc3. It is load related. Later alsa code definitely helps. ie. load average needs to be higher for it to occur. Stock fc9 2.6.26 kernels need very little load for the problem to manifest. 2.6.25 kernel or 2.6.26 plus alsa code from 2.6.27, load average > 10 before problem occurs.
Comment 18 Lennart Poettering 2008-10-19 16:41:04 EDT
*** Bug 464816 has been marked as a duplicate of this bug. ***
Comment 19 Lennart Poettering 2008-10-19 16:46:05 EDT
Jaroslav, can you say something about this? 

Specifically to Clive's latest summary?
Comment 20 Lennart Poettering 2008-10-19 16:47:37 EDT
*** Bug 466530 has been marked as a duplicate of this bug. ***
Comment 21 Lennart Poettering 2008-10-19 16:50:54 EDT
*** Bug 466316 has been marked as a duplicate of this bug. ***
Comment 22 Lennart Poettering 2008-10-19 16:54:00 EDT
*** Bug 465610 has been marked as a duplicate of this bug. ***
Comment 23 Clive Messer 2008-10-19 19:28:35 EDT
I'm more than happy to provide more info or test if anyone has any suggestions.

I list my current config below. This works quite well. Only the occasional glitch with backtrack warning from alsa-lib patch. But I can reproduce the problem at will by running a couple of instances of 'Folding at Home' client and a kernel build at the same time. 

My current config is ....

kernel-2.6.26.6-75.fc9.x86_64 (from koji plus alsa kmods built from alsa-driver-1.0.18rc3)

alsa-lib-1.0.17-2.1.1.fc9.i386 
alsa-lib-1.0.17-2.1.1.fc9.x86_64
(fc9 v2.1 rebuilt with Alexander Gavrilov patch to print backtrack message instead of pulseaudio infinite loop and shutdown, hence v2.2.1)
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
alsa-tools-1.0.17-1.fc9.x86_64
alsa-utils-1.0.17-2.fc9.x86_64

pulseaudio-0.9.10-2.fc9.x86_64
pulseaudio-core-libs-0.9.10-2.fc9.i386
pulseaudio-core-libs-0.9.10-2.fc9.x86_64
pulseaudio-esound-compat-0.9.10-2.fc9.x86_64
pulseaudio-libs-0.9.10-2.fc9.i386
pulseaudio-libs-0.9.10-2.fc9.x86_64
pulseaudio-libs-devel-0.9.10-2.fc9.x86_64
pulseaudio-libs-glib2-0.9.10-2.fc9.x86_64
pulseaudio-libs-zeroconf-0.9.10-2.fc9.x86_64
pulseaudio-module-bluetooth-0.9.10-2.fc9.x86_64
pulseaudio-module-gconf-0.9.10-2.fc9.x86_64
pulseaudio-module-jack-0.9.10-2.fc9.x86_64
pulseaudio-module-lirc-0.9.10-2.fc9.x86_64
pulseaudio-module-x11-0.9.10-2.fc9.x86_64
pulseaudio-module-zeroconf-0.9.10-2.fc9.x86_64
pulseaudio-utils-0.9.10-2.fc9.x86_64
xine-lib-pulseaudio-1.1.15-1.fc9.x86_64

[clivem@pc343:~]$ lspci -v
00:1b.0 Audio device: Intel Corporation ICH10 HD Audio Controller
	Subsystem: Giga-byte Technology Unknown device a102
	Flags: bus master, fast devsel, latency 0, IRQ 22
	Memory at ed300000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

[clivem@pc343:~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC883 Analog [ALC883 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: ALC883 Digital [ALC883 Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

[clivem@pc343:~]$ aplay -L
front:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC883 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Intel,DEV=0
    HDA Intel, ALC883 Digital
    IEC958 (S/PDIF) Digital Audio Output
hdmi:CARD=Intel,DEV=0
    HDA Intel
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default

[clivem@pc343:~]$ cat /proc/asound/card0/pcm0p/sub0/info 
card: 0
device: 0
subdevice: 0
stream: PLAYBACK
id: ALC883 Analog
name: ALC883 Analog
subname: subdevice #0
class: 0
subclass: 0
subdevices_count: 1
subdevices_avail: 0

[clivem@pc343:~]$ cat /proc/asound/card0/pcm0p/sub0/hw_params 
access: MMAP_INTERLEAVED
format: S16_LE
subformat: STD
channels: 2
rate: 44100 (44100/1)
period_size: 224
buffer_size: 1792

[clivem@pc343:~]$ cat /proc/asound/card0/pcm0p/sub0/sw_params 
tstamp_mode: NONE
period_step: 1
avail_min: 224
start_threshold: 18446744073709551615
stop_threshold: 18446744073709551615
silence_threshold: 0
silence_size: 0
boundary: 8070450532247928832
Comment 24 Gilboa Davara 2008-10-19 23:46:31 EDT
I'm seeing the same on two different configs. (Both using snd-hda-intel)
Disabling pulse completely has a limited effect. (Sound still skips when I compile something in the background)

$ uname -a
Linux gilboa-work-dev 2.6.26.5-45.fc9.x86_64 #1 SMP Sat Sep 20 03:23:12 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

$  lspci -v | grep HDA -A2 -B5
00:1b.0 Audio device: Intel Corporation 631xESB/632xESB High Definition Audio Controller (rev 09)
        Subsystem: Intel Corporation Unknown device 3472                                         
        Flags: bus master, fast devsel, latency 0, IRQ 22                                        
        Memory at b2e00000 (64-bit, non-prefetchable) [size=16K]                                 
        Capabilities: <access denied>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: ALC260 Analog [ALC260 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

$ aplay -L
default:CARD=Intel
    HDA Intel, ALC260 Analog
    Default Audio Device
front:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    Front speakers
surround40:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Intel,DEV=0
    HDA Intel, ALC260 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=Intel,DEV=0
    HDA Intel
    HDMI Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
Comment 25 Gilboa Davara 2008-10-19 23:48:08 EDT
$ cat /proc/asound/card0/pcm0p/sub0/info
card: 0
device: 0
subdevice: 0
stream: PLAYBACK
id: ALC260 Analog
name: ALC260 Analog
subname: subdevice #0
class: 0
subclass: 0
subdevices_count: 1
subdevices_avail: 1
Comment 26 Stefan Becker 2008-10-20 00:42:09 EDT
Now that bug #466316 has been marked as duplicate of this bug: has anybody seen this with something else than snd-hda-intel? I see pulse going into CPU overload on my old Athlon XP based laptop (snd-via82xx) with rawhide. It is usually triggered by CPU load (no big problem on this machine), but it can also happen when the machine is not doing else than playing an internet radio stream or music files.

Linux baraddur 2.6.27.3-27.rc1.fc10.i686 #1 SMP Sat Oct 18 20:35:56 EDT 2008 i686 athlon i386 GNU/Linux

alsa-lib-1.0.18-6.rc3.fc10.i386
alsa-plugins-pulseaudio-1.0.18-1.rc3.fc10.i386
alsa-utils-1.0.18-3.rc3.fc10.i386
pulseaudio-utils-0.9.13-2.fc10.i386
pulseaudio-libs-glib2-0.9.13-2.fc10.i386
pulseaudio-libs-0.9.13-2.fc10.i386
pulseaudio-core-libs-0.9.13-2.fc10.i386
pulseaudio-0.9.13-2.fc10.i386
pulseaudio-module-x11-0.9.13-2.fc10.i386
kernel-2.6.27.3-27.rc1.fc10.i686

$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: V8235 [VIA 8235], device 0: VIA 8235 [VIA 8235]
  Subdevices: 4/4
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
card 0: V8235 [VIA 8235], device 1: VIA 8235 [VIA 8235]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: modem [VIA 82XX modem], device 0: VIA 82XX modem [VIA 82XX modem]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

Or should I open another bug for this?
Comment 27 antonio montagnani 2008-10-20 14:59:09 EDT
Created attachment 320901 [details]
log before Rhythmbox crash

I played Rhythmbox waiting for crash...after some spikes at the beginning, after about one hour, Rhythmbox stopped playing radio stream and crashed.

the output of pulseaudio -vvv is attached.

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: ICH5 [Intel ICH5], device 0: Intel ICH [Intel ICH5]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: ICH5 [Intel ICH5], device 4: Intel ICH - IEC958 [Intel ICH5 - IEC958]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

uname -a
Linux Casa 2.6.27.3-30.rc1.fc10.i686 #1 SMP Mon Oct 20 01:35:32 EDT 2008 i686 i686 i386 GNU/Linux
Comment 28 antonio montagnani 2008-10-20 15:10:19 EDT
actually it is pulseaudio that dies, Rhythmbox freezes afterwards
Comment 29 Alexey Kuznetsov 2008-10-21 03:56:39 EDT
i work under 2.6.27.1 and last pulseaudio, problem seems to be gone for me...

[axet@axet-laptop linux-2.6.27.y]$ rpm -qa|grep pulseaudio
pulseaudio-libs-glib2-0.9.10-2.fc9.i386
pulseaudio-0.9.10-2.fc9.i386
pulseaudio-module-x11-0.9.10-2.fc9.i386
pulseaudio-core-libs-0.9.10-2.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
pulseaudio-utils-0.9.10-2.fc9.i386
pulseaudio-module-gconf-0.9.10-2.fc9.i386
pulseaudio-esound-compat-0.9.10-2.fc9.i386
pulseaudio-libs-0.9.10-2.fc9.i386
[axet@axet-laptop linux-2.6.27.y]$ 


i
Comment 30 antonio montagnani 2008-10-21 04:20:41 EDT
there is some confusion in bug connection to different platforms 

My system is F10 x386.

Suffered from it on F9 on my desktop, not on on my laptop.
Now both systems are suffering
Comment 31 Denis Leroy 2008-10-21 08:41:22 EDT
Changing component to "rawhide". I'm having same problem here, F-10 fully updated, snd-hba-intel driver. Bug is 100% reproducible, although may take up to an hour of playing to trigger it.

Kernel is kernel-2.6.27.3-27.rc1.fc10.i686

> aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Intel [HDA Intel], device 1: AD198x Digital [AD198x Digital]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 32 Martin Jürgens 2008-10-21 08:48:49 EDT
I also encounter this problem on Rawhide but it is far less serious than with F9 and only happens after some time.
Comment 33 Stefan Becker 2008-10-21 10:16:26 EDT
I have never seen this problem with F9 but it is reproducible with F10/rawhide on snd-via82xxx. In my experience it is triggered when something else is using CPU cycles while pulseaudio is active.
Comment 34 Alexey Kuznetsov 2008-10-21 10:18:41 EDT
i say in Comment 29 (fedora 9 + kernel 2.6.27.2) pulse audio work fine, but that is not true.

i got error now, really rare staff.
Comment 35 Chuck Ebbert 2008-10-22 01:23:17 EDT
I am trying to figure out how this is a kernel bug. If you erase pulseaudio does everything work?
Comment 36 antonio montagnani 2008-10-22 01:33:23 EDT
Chuck

if someone thinks that is kernel related (me included), it is connected to the fact that some kernels give better results in particular with reference to spikes (but not of dying of sound application)
Comment 37 Tom Hughes 2008-10-22 03:25:07 EDT
Is it a kernel bug? I think so.

On F9 with kernel 2.6.26.5-45.fc9.x86_64 I see this happening with pulseaudio but if I have rhythmbox outputting directly to alsa then I don't seem to have any problems.

Patching in snd-hda-intel from 2.6.27.1 seems (based on limited testing so far) to have stopped pulseaudio dieing.
Comment 38 Denis Leroy 2008-10-22 03:56:35 EDT
As mentioned by Lennart, it's a kernel bug (i.e. alsa driver).

Although PA has a knack for crashing or quitting as soon as an alsa driver misbehaves slightly, especially when it quits with this message:

> Hard CPU time limit exhausted, terminating forcibly.
Comment 39 Lennart Poettering 2008-10-22 22:26:16 EDT
*** Bug 467891 has been marked as a duplicate of this bug. ***
Comment 40 Lennart Poettering 2008-10-22 22:37:35 EDT
Yes, I am pretty sure this is a kernel bug, but I am not entirely sure yet.

Today for the first time I have been able to reproduce this issue here locally. 

Unfortunately on Rawhide we have no even remotely working debugging tool. gdb is a mess (bug 468129), frsyk doesn't work either. Neither does oprofile (467651).

For the first time I managed to reproduce this -- after days of trying. I finally have PA spinning in this loop. And I have no way to find out what is going on.
Comment 41 Lennart Poettering 2008-10-23 23:00:03 EDT
OK, so I am one step further.

First, this issue has multiple different causes. I nailed at least one of them, which was specific to 32bit machines which is the reason I was unable to reproduce this on my 64bit machine. The fix is trivial:

http://git.0pointer.de/?p=pulseaudio.git;a=commitdiff;h=b712e7b13dd6aed3e56eaee423ff071d6f0ce2c2

Brrr, I lost too much time on this one.

This patch is included in 0.9.13-4. So, everyone, please give it a try. It's in koji right now.

This should hopefully fix the issue for the majority of people. Still there seem to be some driver issues left. I know for sure that the Creative ALSA drivers are borked. 0.9.13-4 includes some diagnostic code that will verify the results of a couple of ALSA calls and log a warning if they are inconsistent or have values that are suspicously high.

So, even if you have a Creative card, give this a try and watch your logs. It will hopefully give us a hint what is wrong so we can inform the ALSA people about this.
Comment 42 Clive Messer 2008-10-23 23:45:21 EDT
Lennart, 

Can you backport the bugfix (if applicable) and logging code to 0.9.10 on fc9, please?
Comment 43 Gilboa Davara 2008-10-24 00:48:33 EDT
Lennart,

I'm somewhat confused - does the Creative labs fix apply to x86_64 as well?
When can we expect to see 0.9.13-4 in koji/updates-testing on F9?

- Gilboa
Comment 44 antonio montagnani 2008-10-24 00:59:12 EDT
Lennart

I have been playing sound (radio streaming) longer than before on my desktop with snd-hda_intel and I would say that you have found the solution.
I will report later, same laptop will come (and play) to my office in a few moments...

Tnx a lot
Comment 45 antonio montagnani 2008-10-24 01:39:40 EDT
Created attachment 321372 [details]
crash with latest pulseaudio

I have applied new pulseaudio, rebooted, but nothing changes

http://www.smolts.org/show?uuid=pub_2dabf29b-bd26-4825-b7ed-ac1db85fec24
Comment 46 antonio montagnani 2008-10-24 04:57:57 EDT
Created attachment 321388 [details]
another log - my laptop while at the office ;-)

this is a log of the laptop (previous log was my desktop) and I have been playing for about an hour...no crash, but I note some rewind. (a few hours it crashed with updated pulseaudio).

Please note that before crashing, laptop plays fine, while desktop suffers of small interruptions.

Only difference is hardware
My laptop profie is here:

http://www.smolts.org/show?uuid=pub_2dabf29b-bd26-4825-b7ed-ac1db85fec24
Comment 47 antonio montagnani 2008-10-24 08:17:18 EDT
and finally Rhythmbox crashed after two hours of good music :-) on my laptop
Comment 48 antonio montagnani 2008-10-24 08:21:51 EDT
Created attachment 321400 [details]
Another log 

and I restarted Rhythmbox , trying to have another log.
Comment 49 Lennart Poettering 2008-10-24 09:04:22 EDT
Antonio: none of your logs shows any crash. What kind of crash is happening for you?

Also, the two SMOLT links point to the same profile.
Comment 50 Lennart Poettering 2008-10-24 09:10:32 EDT
(In reply to comment #42)
> Lennart, 
> 
> Can you backport the bugfix (if applicable) and logging code to 0.9.10 on fc9,
> please?

Uh, this doesn't really apply to 0.9.10 for now. Let's first get the 0.9.13 issues straightened out. For 0.9.10 I am pretty sure the remaining issues are driver issues, btw.
Comment 51 Lennart Poettering 2008-10-24 09:11:31 EDT
antonio -- are you sure you are using 0.9.13-4, btw? i don't think -4 is already in rawhide.
Comment 52 Lennart Poettering 2008-10-24 09:13:43 EDT
(In reply to comment #43)
> Lennart,
> 
> I'm somewhat confused - does the Creative labs fix apply to x86_64 as well?

There is no fix for Creative labs cards. Just some diagnostic code that will hopefully show in a proper message what is going wrong with the driver.

> When can we expect to see 0.9.13-4 in koji/updates-testing on F9?

No. PA > 0.9.10 uses glitch-free for playback which is the part responsible for triggering all the bugs since this uses ALSA functionality that nobody used before and that is clearly broken. I won't backport that to F9.
Comment 53 antonio montagnani 2008-10-24 10:56:22 EDT
(In reply to comment #51)
> antonio -- are you sure you are using 0.9.13-4, btw? i don't think -4 is
> already in rawhide.

yes grabbed from koij :-)
Comment 54 antonio montagnani 2008-10-24 11:03:27 EDT
(In reply to comment #49)
> Antonio: none of your logs shows any crash. What kind of crash is happening for
> you?
> 
> Also, the two SMOLT links point to the same profile.

yes you are right..
But when you look in the logs there are some rewinds, and at the same time I see buffer of Rhythmbox empty and refuelled...(i.e. a small interruption)

http://www.smolts.org/show?uuid=pub_2dabf29b-bd26-4825-b7ed-ac1db85fec24 is the profile of the desktop that is untill now is more affected than the laptop.

At the moment I am playing a radio stream on the desktop with:

kernel 2.6.27.3-39.fc10.i686 
pulseaudio-0.9.13-4.fc10.i386
(same software is on the laptop)

But while with same software this morning I experienced small interruptions and rewinds now it seems o.k.
I need more tests.
I will come back when something new will happen
Comment 55 antonio montagnani 2008-10-24 12:35:40 EDT
i made a test...

I installed latest kernel in koij  2.6.27.3-44.fc10.i686 and small interruptions are back again.

Is pulseaudio or kernel or both causing problems???
Comment 56 antonio montagnani 2008-10-24 12:40:16 EDT
Created attachment 321431 [details]
log with kernel from koij 2.6.27.3-44.fc10.i686

I installed latest kernel from koij and interruptions are back again ..

each rewind in log is an interruption in music...
Comment 57 antonio montagnani 2008-10-24 12:51:59 EDT
even with kernel 2.6.27.3-39.fc10.i686 interruption are back again, I rebooted after my last comment!!!

Very frustrating
Comment 58 antonio montagnani 2008-10-24 13:19:55 EDT
*** Bug 466027 has been marked as a duplicate of this bug. ***
Comment 59 Peter Gückel 2008-10-24 14:02:15 EDT
I suspect that Bug 468332 is a duplicate. If someone can confirm that my concerns are those addressed in this bug, I will close.

I should add that I have intel sound on the motherboard, but it is disabled in the bios. I use a creative soundblaster 1024 live value (ct4830 with midi) pci card. I am using f10 (rawhide) on i386 architecture.
Comment 60 antonio montagnani 2008-10-24 14:14:29 EDT
I think that is a duplicate, as 466027 that I deleted.

Final word to Lennart :-)
Comment 61 Lennart Poettering 2008-10-24 14:15:51 EDT
*** Bug 468332 has been marked as a duplicate of this bug. ***
Comment 62 Lennart Poettering 2008-10-24 16:02:21 EDT
Is this only intel8x0 and Creative cards that create those drop-outs even with 0.9.13-4? Or is anyone else affected, too?

If you add yourself to the group pulse-rt, does that change anything?
Comment 63 antonio montagnani 2008-10-24 16:26:29 EDT
no..it doesn't change anything.

I am fighting with this problem since F9, and basically in the last month of F10 as for a short period sound was good
And I am not alone on the boat.
What changed??? this is the real question....

for sure, now it is not easy to check back all mods.

Any help I can give, I am here....

I still think that something is broken in kernel.(maybe because when running F9 I solved the problem installing one kernel from F10).
Comment 64 Lennart Poettering 2008-10-24 16:29:58 EDT
*** Bug 468118 has been marked as a duplicate of this bug. ***
Comment 65 Lennart Poettering 2008-10-24 16:30:18 EDT
*** Bug 466478 has been marked as a duplicate of this bug. ***
Comment 66 Lennart Poettering 2008-10-24 16:31:07 EDT
*** Bug 466840 has been marked as a duplicate of this bug. ***
Comment 67 Mads Kiilerich 2008-10-24 16:32:31 EDT
I am here as filer(?) of duplicate bug 466530 and has 
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio
Controller (rev 02)
kernel-2.6.27.3-39.fc10.i686
snd_hda_intel
pulseaudio-0.9.13-4.fc10.i386
running as pulse-rt group member

My experience is that it works quite well for me now, and I haven't noticed any
problems recently. That proves nothing, perhaps except that it wasn't a duplicate anyway, but right now I'm happy.
Comment 68 Lennart Poettering 2008-10-24 16:40:08 EDT
*** Bug 467087 has been marked as a duplicate of this bug. ***
Comment 69 antonio montagnani 2008-10-24 16:40:52 EDT
(In reply to comment #67)
> I am here as filer(?) of duplicate bug 466530 and has 
> 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio
> Controller (rev 02)
> kernel-2.6.27.3-39.fc10.i686
> snd_hda_intel
> pulseaudio-0.9.13-4.fc10.i386
> running as pulse-rt group member
> 
> My experience is that it works quite well for me now, and I haven't noticed any
> problems recently. That proves nothing, perhaps except that it wasn't a
> duplicate anyway, but right now I'm happy.

This is a good point, as I have both ICH5 and ICH8 boxes.
What gives problem is the ICH5 family, also in the past....
Comment 70 Lennart Poettering 2008-10-24 16:42:22 EDT
antonio: so if i understood properly it's specific to intel8x0 (and Creative) cards, is that correct.
Comment 71 antonio montagnani 2008-10-24 16:48:21 EDT
(In reply to comment #67)
> I am here as filer(?) of duplicate bug 466530 and has 
> 00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio
> Controller (rev 02)
> kernel-2.6.27.3-39.fc10.i686
> snd_hda_intel
> pulseaudio-0.9.13-4.fc10.i386
> running as pulse-rt group member
> 
> My experience is that it works quite well for me now, and I haven't noticed any
> problems recently. That proves nothing, perhaps except that it wasn't a
> duplicate anyway, but right now I'm happy.

This is a good point, as I have both ICH5 and ICH8 boxes.
What gives problem is the ICH5 family, also in the past....
Comment 72 Peter Gückel 2008-10-24 16:50:19 EDT
I have been in group pulse-rt all along and the problems occurred. I have applied the update, regrettably no time yet this afternoon to listen to music, play videos, will experiment this evening.
Comment 73 Peter Gückel 2008-10-24 16:51:57 EDT
I can also confirm that I never ever had this problem until just a day or three ago (but I wasn't listening to a lot of music or watching videos for a bit, recently). Until yesterday, that is.
Comment 74 antonio montagnani 2008-10-24 16:53:25 EDT
(In reply to comment #70)
> antonio: so if i understood properly it's specific to intel8x0 (and Creative)
> cards, is that correct.

I think so but I do not have other cards :-) .

But if you dig in bugzilla, I remember that there was a bunch of bugs stating that it was a problem of timing....I think that reporter was Antonio Olivares.
For sure it is a big problem...I don't like listening to sobbing music :-)
And it must be solved before F10 release
Comment 75 Lennart Poettering 2008-10-24 16:53:55 EDT
*** Bug 462067 has been marked as a duplicate of this bug. ***
Comment 76 antonio montagnani 2008-10-24 16:57:58 EDT
 Bug 441087 -  Sound/music playing faster than it should on intel chipset  
 Bug 446192 -  horrible skipping audio  


are they related???

I understand that F9 and F10 were released not solving the problem
I don't know about F9 as I am running only F10
Comment 77 Lennart Poettering 2008-10-24 17:04:15 EDT
*** Bug 466314 has been marked as a duplicate of this bug. ***
Comment 78 Lennart Poettering 2008-10-24 17:09:35 EDT
> But if you dig in bugzilla, I remember that there was a bunch of bugs stating
> that it was a problem of timing....I think that reporter was Antonio Olivares.
> For sure it is a big problem...I don't like listening to sobbing music :-)
> And it must be solved before F10 release

I only want reports for 0.9.13-4 for now, so my interesting in digging through bz is minimal.

I now had several reports of intel8x0 cards still not working with 0.9.13-4. Anyone having issues on other hardware? Creative cards anyone?
Comment 79 antonio montagnani 2008-10-24 17:11:18 EDT
Now pulseaudio doesn't seem to die but I am experiencing sound glitches.
It was better when pulseaudio died but until then I could listen to music :-)
Comment 80 Lennart Poettering 2008-10-24 17:16:00 EDT
*** Bug 466338 has been marked as a duplicate of this bug. ***
Comment 81 Peter Gückel 2008-10-24 17:18:42 EDT
Ok, I did watch some vids. After about 5-10 minutes, the problem recurred: the sound began sputtering and ultimately cut out. Restarting the application or switching to another application to watch the video did not help. There was no sound. I didn't try killing and restarting PA, however. I am using:

pulseaudio-0.9.13-4.fc10.i386
kernel-2.6.27.3-39.fc10.i686

SoundBlaster/i386

Someone earlier mentioned that they had this already in F9. I never saw it until yesterday or day before.
Comment 82 Lennart Poettering 2008-10-24 17:24:43 EDT
Petrus:

SoundBlaster? An original SoundBlaster? Sorry, I don't believe you.

What driver do you use? i.e. snd-emuxxxx or something?

Please provide an output of "pulseaudio -vvvv" when that happens (start in a terminal, possibly run pulseaudio -k before).
Comment 83 antonio montagnani 2008-10-24 17:35:03 EDT
Now pulseaudio doesn't seem to die but I am experiencing sound glitches.
It was better when pulseaudio died but until then I could listen to music :-)
Comment 84 Peter Gückel 2008-10-24 18:18:01 EDT
"SoundBlaster? An original SoundBlaster? Sorry, I don't believe you." How do you quote here, so it shows with > purplequotedtext ?

On the board, it says Creative SoundBlaster Live! Value (CT4830), but KDE Info Centre reports (CT4832). It uses the emu10k1 kernel module.

You mean I should run "pulseaudio -k ; pulseaudio -vvvv" after the error occurs, or "pulseaudio -k", wait for the error, and then "pulseaudio -vvvv"?

You will have the results in a few hours (I have to go for a bit).
Comment 85 Lennart Poettering 2008-10-24 18:48:12 EDT
(In reply to comment #84)
> "SoundBlaster? An original SoundBlaster? Sorry, I don't believe you." How do
> you quote here, so it shows with > purplequotedtext ?

Line in emails with >. (Also note the Reply link on each story)

> On the board, it says Creative SoundBlaster Live! Value (CT4830), but KDE Info
> Centre reports (CT4832). It uses the emu10k1 kernel module.

OK. So it's a SoundBlaster Live!, not an original 1989 SoundBlaster...

> You mean I should run "pulseaudio -k ; pulseaudio -vvvv" after the error
> occurs, or "pulseaudio -k", wait for the error, and then "pulseaudio -vvvv"?

No. pulseaudio -k stops a running PA. pulseaudio -vvvv starts a new one with debugging output enabled and without detaching. i.e. run that in a terminal and you'll get the PA output right into that terminal. Then, do your testing and you can see the debug output it causes directly in the terminal. Then, paste that data from the terminal so that I can see what is going on.
Comment 86 Peter Gückel 2008-10-24 23:03:50 EDT
Created attachment 321485 [details]
output of pulseaudio -vvv

I ran music videos for a long time, but the glitch did not recur like yesterday. Yesterday, I had been using firefor and viewed a lot of the videos online via the Adobe flash-plugin. I did not want to contaminate this log with Adobe flash, so I played both saved flv and mpg files. I noticed a lot f crackling and some occasional stuttering, but the music never cut out, like it had previously. There were literally 10s of thousands of the E: module_alsa_sink.c lines. I cut out sections that show some other stuff, too. Hopefully, I didn't lose anything relevant. Toward the end, I grew impatient and grabbed the program by the frame with the mouse and rapidly draged it back and forth across the screen. The music playback went wild with echoes, strutters and reverberation. It composed itself nicely when I brought the program window to rest on the screen.At the very end, I had to type ctrl-c to break out of the command. This is that output.
Comment 87 Peter Gückel 2008-10-24 23:22:59 EDT
So, after running the test above, I did not restart the pulseaudio daemon, but continued watching music videos on youtube. I experienced absolutely no problems with it: no sould problems, decaying into pops and squeals and ultimeately silence; no strange video dropouts with the sound continuing and the video then catching up in fast-forward. All seems to run well.

This suggests that pulseaudio is the cause of these problems, as they disappear when pulseaudio is disabled.
Comment 88 Shlomi Fish 2008-10-25 07:14:31 EDT
I ran into this bug on my Mandriva Cooker system with pulseaudio-0.9.13. The sound is jerky after less than an hour of playing and there are artifacts when starting to play a new file. See

* http://www.pulseaudio.org/ticket/396

And:

* https://qa.mandriva.com/show_bug.cgi?id=45008

My card is:

* 00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller (rev 02)
Comment 89 Alexey Kuznetsov 2008-10-25 07:18:17 EDT
gliches & crashes


[axet@axet-laptop ~]$ lspci |grep Aud
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
[axet@axet-laptop ~]$ rpm -q pulseaudio
pulseaudio-0.9.10-2.fc9.i386
[axet@axet-laptop ~]$
Comment 90 Lennart Poettering 2008-10-25 11:09:35 EDT
(In reply to comment #86)
> Created an attachment (id=321485) [details]
> output of pulseaudio -vvv
> 
> I ran music videos for a long time, but the glitch did not recur like
> yesterday. Yesterday, I had been using firefor and viewed a lot of the videos
> online via the Adobe flash-plugin. I did not want to contaminate this log with
> Adobe flash, so I played both saved flv and mpg files. I noticed a lot f
> crackling and some occasional stuttering, but the music never cut out, like it
> had previously. There were literally 10s of thousands of the E:
> module_alsa_sink.c lines. I cut out sections that show some other stuff, too.

Ah, this is very interesting. The "multi" plugin for ALSA apparently sends us an POLLOUT and the immediately following snd_pcm_avail_update() returns 0. That is clearly a bug in this ALSA plugin. I will bring this up on the ALSA ML.

Could you please repeat your testing, however with using only 2ch? I.e. reset your default.pa  to use only two channels? This will move the "multi" plugin out of the pipeline.

(In reply to comment #87)
> This suggests that pulseaudio is the cause of these problems, as they disappear
> when pulseaudio is disabled.

It's not that easy. PA uses a lot of functionality of the ALSA drivers noone else has apparently used before or relies much more on the correctness of the data (such as timing) ALSA returns. That's why PA triggered and stiull triggers many bugs in the ALSA drivers that weren't apparent before.
Comment 91 Peter Gückel 2008-10-25 11:48:27 EDT
(In reply to comment #90)
> Ah, this is very interesting.
> 
I am very pleased to hear this. The output looked like a lot of hopeless repetition of apparently insignificant events. I am very excited to have this working hitchlessly, as there is much promise of as yet unrealized potentialities.

> Could you please repeat your testing, however with using only 2ch? I.e. reset
> your default.pa  to use only two channels?
> 
Only if this doesn't compromize the functioning of my second set of stereo speakers (2 x left and right, not quadrophonic). I want this to work, once it is all fixed.
Comment 92 Peter Gückel 2008-10-25 15:07:19 EDT
Just a little update: I upgraded to the new kernel-2.6.27.3-44.fc10.i686. I did not run pulseaudio -vvv and I haven't edited my configuration file to use only 2 speakers. I was just happily enjoying music online.

What I noticed is that I had NO problems with Adobe flash-plugin whatsoever, not with sound nor with video (I suspected the two problems were related, as the one would continue, then the other would spool in fast-forward to catch up after a pause of a few minutes, etc).

Then, I played some saved flv and mpg files using kaffeine and vlc. I grabbed the program frame and dragged it rapidly to and fro on the screen, and the video and audio kept on playing perfectly. I might have heard a pop or two, but I cannot rule out some imperfections in the media.
Comment 93 Peter Gückel 2008-10-25 16:23:53 EDT
Created attachment 321529 [details]
output of pulseaudio -vvvv

Ok. I did it. I commented out the 4 speakers in daemon.conf, killed the daemon and started it with -vvvv. Here is the output. I played videos, both mpg and flv, with vlc, with kplayer and with kaffeine, in order to get some output from 3 playback systems (I did not use Adobe flash-plugin, only playing files from my computer).

Anyway, I noticed that there was a lot of clicking and popping, really A LOT. I moved the window around on the screen, but it never hung up or reverberated like it had yesterday, although there were some dropouts. I noticed that when I opened and repeatedly maximized/minimized firefox, there were some 'module-alsa-sink.c underruns'. Also, I spooled ahead a few times, but I noticed that a lot of these 'rewinds' occurred, even when I hadn't been spooling ahead, but must have opened or closed a window (although I didn't notice that the music had stopped or that the picture had jumped - they must have been minute 'rewinds', but they occurred quite a lot).

I hope there is something useful here.
Comment 94 Peter Gückel 2008-10-25 17:32:41 EDT
Help!

As a result of the editing of daemon.conf that I did above:

I had only made 2 changes: I noticed that there was /etc/pulse/daemon.conf.rpmnew, so I compared it with (the old) daemon.conf. There were only 2 differences: the new one had the line

; shm-size-bytes = 0 # setting this 0 will use the system-default, usually 64 MiB

and the old one didn't; and the old one had

default-sample-channels = 4

enabled and changed to 4 from 2 to allow me to use both sets of speakers (I know it all worked about 2 weeks ago, as I had used the other speakers then, when blasting the house with music - both sets of speakers worked).

I thought I might as well use the new version of the file and simply enable the 4 speakers in it, after doing my testing and reporting above.

Then, I turned off the computer for a while, and later, rebooted, only to find that now the sound comes from the 'other' set of speakers. I have checked kmix and I have the volume enabled for both sets. What is curious is that when I open the volume control in the pulseaudio applet, the main speakers beep, but ALL other sound comes from the secondary speakers.

Formerly, I had all sounds coming from both sets of speakers, so I could selectively turn the one set on and the other off, depending on which room should have music.

Also, although I have 2 sets of speakers, shown as front and surround in kmix, there is only one front left/right slider in the pulseaudio volume control applet and none for surround right/left, i.e., the other speakers. Wasn't one of the selling features of pulseaudio, that one could control volume output separately for different hard- and software at the same time, as well as directing different audio streams to different speakers?
Comment 95 Peter Gückel 2008-10-25 17:51:19 EDT
I had done a restorecon -v './daemon.conf', just in case, but maybe pulseaudio didn't reread the file, if that was even the problem (selinux showed no output, as it normally would when changing a file's context). Then I rebooted a second time, and now I am all striaght again.
Comment 96 Sergey Kurtsev 2008-10-26 12:32:26 EDT
I tried to reproduce the bug on:
[sk@digger ~]$ uname -a
Linux digger 2.6.27.3-44.fc10.i686 #1 SMP Fri Oct 24 00:40:32 EDT 2008 i686 i686 i386 GNU/Linux
[sk@digger ~]$ rpm -q pulseaudio
pulseaudio-0.9.13-4.fc10.i386
[sk@digger ~]$ lspci | grep Audio
00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7 Family) AC'97 Audio Controller (rev 01)

The bug is triggered perfectly for me on heavy sound load - I played flac music with rhythmbox and ran foobillard on the background. The sound was glitching all the time on foobillard balls collision (it plays a small sound then).

I failed to get the whole 'pulseaudio -vvv' output but this is a typical piece of it:

I: module-alsa-sink.c: Underrun!
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: protocol-native.c: Requesting rewind due to end of underrun.
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Requested to rewind 52836 bytes.
D: module-alsa-sink.c: Limited to 372 bytes.
D: module-alsa-sink.c: before: 93
D: module-alsa-sink.c: after: 93
D: module-alsa-sink.c: Rewound 372 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 372 bytes on render memblockq.
D: sink-input.c: Have to rewind 372 bytes on render memblockq.
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: module-alsa-sink.c: Wakeup from ALSA! OUTPUT
D: protocol-native.c: Requesting rewind due to end of underrun.
D: module-alsa-sink.c: Requested to rewind 29612 bytes.
D: module-alsa-sink.c: Limited to 332 bytes.
D: module-alsa-sink.c: before: 83
D: module-alsa-sink.c: after: 83
D: module-alsa-sink.c: Rewound 332 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 332 bytes on render memblockq.
D: sink-input.c: Have to rewind 332 bytes on render memblockq.
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!
I: module-alsa-sink.c: Underrun!

Hope this helps in any way.
Comment 97 Stefan Becker 2008-10-26 13:14:45 EDT
Created attachment 321551 [details]
Pulseaudio daemon messages after updating to 0.9.13-4

I updated pulseaudio on Friday and played several hours of music since then (mplayer - MP3 radio stream from Internet, amarok 1.4 - Ogg Vorbis encoded music collection). I have not been able to reproduce the pulseaudio looping problem again. Good work Lennart!

For reference:

$ uname -a
Linux baraddur 2.6.27.3-44.fc10.i686 #1 SMP Fri Oct 24 00:40:32 EDT 2008 i686 athlon i386 GNU/Linux
$ rpm -q pulseaudio
pulseaudio-0.9.13-4.fc10.i386
$ lspci | fgrep audio
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
$ lspci -n | fgrep 00:11.5
00:11.5 0401: 1106:3059 (rev 50)

ALSA driver: snd_via82xx

I'm not using high priority or real-time priority for pulseaudio on this system. The only disturbances I got were

 - very short interruptions at the beginning of a new audio stream until pulseaudio has found the correct watermark for the system. It might be a little bit too optimistic about the speed of this slow laptop. Is there maybe a way to set the initial watermark value?

 - twice under high load there was a short replay. Those two occasions are visible in the attached log

But I guess by either setting a high initial watermark value or allowing high priority scheduling I would have absolute glitch-free pulseaudio playback on this machine.
Comment 98 antonio montagnani 2008-10-27 15:44:13 EDT
 2.6.27.4-51.fc10.i686 kernel seems great.....I am testing with sound in Rhythmbox playing radio stream and I am not experiencing any problem so far.
I feel that quality of sound is improved, maybe only suggestion???? :-)
Comment 99 Sergey Kurtsev 2008-10-27 15:48:56 EDT
Unfortunately this is only a suggestion. Better but glitches still present when  two or more applications play sounds.
Comment 100 antonio montagnani 2008-10-27 16:19:27 EDT
 2.6.27.4-51.fc10.i686 kernel seems great.....I am testing with sound in Rhythmbox playing radio stream and I am not experiencing any problem so far.
I feel that quality of sound is improved, maybe only suggestion???? :-)
Comment 101 antonio montagnani 2008-10-27 16:22:17 EDT
(In reply to comment #99)
> Unfortunately this is only a suggestion. Better but glitches still present when
>  two or more applications play sounds.

I played at same time Rhythmbox and Xmms and I didn't  get any glitch..Music seemed o.k.

I noticed that Xmms volume controls PCM general slide, so if you reduce volume in XMMS all applications's sound goes lower. Is it normal???
Comment 102 Lennart Poettering 2008-10-29 16:34:08 EDT
Quick summary of the status quo: I think that 0.9.13-4 is fine for f10 so far. 

The remaining issues are specific to intel8x0 (and some Creative cards) apparently. Unfortunately I have no access to such a card and hence cannot figure out what's misbehaving on them. 

Unless someone supplies me with the necessary hardware (anyone got a spare intel8x0 or emu10k1 machine/card and lives near berlin/germany?) I fear this bug will stay unfixed for F10.
Comment 103 antonio montagnani 2008-10-31 17:13:01 EDT
with today's kernel and Rhythmbox I am again experiencing buffer underruns in Rhythmbox, I am back to the poor situation of two weeks ago.

And I am running intel8x0: I suppose that some cents for Lennart's hardware should be found in some coming event!!! 

kernel 2.6.27.4-68.fc10.i686 
rhythmbox-0.11.6-15.6005.fc10.i386

and now also Vlc plays bad...

If situation continues, what shall I do?? install a different distribution after so many years????  :-(
Comment 104 antonio montagnani 2008-11-01 04:31:01 EDT
Created attachment 322163 [details]
Log of pulseaudio -vvv using VLC

I am experiencing small interruptions also in VLC
Comment 105 antonio montagnani 2008-11-01 04:33:17 EDT
Created attachment 322164 [details]
Log with Rhytmbox

Similar log with Rhythmbox with latest 2.6.27.4-69.fc10.i686 kernel.
And after a while streaming lock and plays same small part of streaming!!!
Comment 106 antonio montagnani 2008-11-03 13:06:31 EST
upgraded pulseaudio to pulseaudio-0.9.13-6.fc10.i386 this evening and troubles seem gone :-)

I will come back after a longer test ...
Comment 107 antonio montagnani 2008-11-04 12:33:03 EST
no..troubles have not gone, still suffering of small breaks and rewinds.Yesterday, everything seemed o.k, booted this evening and I am experiencing same problem immediately.
Comment 108 Dodji Seketeli 2008-11-04 12:50:13 EST
I had the same issues as the commenter #97, and now I don't see PA being killed anymore. So to me the situation is definitely better on my system.
Comment 109 antonio montagnani 2008-11-04 12:53:26 EST
funny as my comment #108 was while running kernel 2.6.27.4-69.fc10 that I had grabbed from koij, I reverted to .68 and everything seems o.k.

Now I don't know if solution was due to rebooting or to switching to another kernel.
Comment 110 JP Renaud 2008-11-07 09:17:16 EST
Hi, it looks like the attention is on f10 (which I understand!) Any plan or looking at f9 too? As far as I understand, I have the problems described at the top of the thread.

I have an intel ICH7 type sound device:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Software wise I run:
pulseaudio-0.9.10-2.fc9.x86_64
kernel-2.6.26.6-79.fc9.x86_64
Comment 111 Bug Zapper 2008-11-25 22:04:34 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 112 rvcsaba 2008-11-28 19:53:46 EST
Hm...

E: alsa-util.c: snd_pcm_avail_update() returned a value that is exceptionally large: 18446744073709517728 bytes (384307168025 ms) Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
N: module-alsa-sink.c: Increasing wakeup watermark to 34.00 ms
Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted
Comment 113 Chris Tyler 2008-12-04 22:57:24 EST
I'm experiencing this problem under F8, too, but only see a pulseaudio update for F9/F10. I'm trying a local build of pulseaudio-0.9.13-7.fc11.src.rpm for testing.

Will a pulseaudio update be pushed for F8 before EOL?

...
Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.

$ uname -a
Linux concord3.proximity.on.ca 2.6.26.6-49.fc8 #1 SMP Fri Oct 17 15:33:32 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/fedora-release
Fedora release 8 (Werewolf)
Comment 114 Chris Tyler 2008-12-05 00:03:39 EST
Update on #113, pulseaudio-0.9.13-7.fc11.src.rpm doesn't build for F8:
ERROR: Bad build req: No Package Found for libasyncns-devel. Exiting.

(Pulseaudio is especially important for multiseat users, since it is the easiest way to route audio to the correct seat's sinks. But multiseat users are stuck on F8 with no upgrade path until F11, so it would be really nice to have an F8 pulseaudio update to fix this issue before EOL on Jan 7).
Comment 115 rvcsaba 2008-12-05 18:58:39 EST
This is an ALSA bug? I removed PA, use only ALSA, but same problem...!

I use Fedora 10, x86_64.
Comment 116 rvcsaba 2008-12-13 14:59:56 EST
tail /var/log/messages
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:46:48 localhost ntpd[2523]: synchronized to 62.112.193.129, stratum 3

grep 'pulseaudio.*3790.*asyncq\.c' /var/log/messages | uniq 
Dec 13 20:36:46 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:47 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:48 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:49 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:50 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:51 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:52 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:53 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:54 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:55 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:56 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:57 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:58 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:36:59 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:00 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:01 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:02 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:03 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:04 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:04 localhost pulseaudio[3790]asyncq.c: q overrun, queuing locally
Dec 13 20:37:04 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally
Dec 13 20:37:05 localhost pulseaudio[3790]: asyncq.c: q overrun, queuing locally

grep 'pulseaudio.*3790.*asyncq\.c' /var/log/messages | wc -l
55734

Yes, this line repeated 55734 times in last 19 seconds!
Comment 117 Mads Kiilerich 2008-12-13 15:56:43 EST
Re Comment #116 From  Need Real Name (rvcsaba@freemail.hu):

Yes, you have hit / been hit by a bug. If you just want to complain you don't have to add anything.

If you want to make a useful bug report you should add the output from
lspci|grep -i audio; uname -a; rpm -q pulseaudio
Comment 118 rvcsaba 2008-12-13 17:27:02 EST
I'm sorry.

lspci | grep -i audio
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
03:02.0 Multimedia audio controller: Creative Labs SB Audigy LS

Really I use SB0410 (SB Live!) PCI soundcard with CA0106.

lsmod | grep snd
snd_hda_intel         476576  0 
snd_ca0106             43280  1 
snd_rawmidi            30848  1 snd_ca0106
snd_ac97_codec        121160  1 snd_ca0106
snd_seq_dummy          11396  0 
snd_seq_oss            39104  0 
snd_seq_midi_event     14848  1 snd_seq_oss
snd_seq                61968  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         15380  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            52224  0 
snd_mixer_oss          23168  1 snd_pcm_oss
snd_pcm                85512  4 snd_hda_intel,snd_ca0106,snd_ac97_codec,snd_pcm_oss
snd_timer              30352  2 snd_seq,snd_pcm
snd_hwdep              16392  1 snd_hda_intel
snd                    68984  15 snd_hda_intel,snd_ca0106,snd_rawmidi,snd_ac97_codec,snd_seq_dummy,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore              14992  1 snd
ac97_bus               10112  1 snd_ac97_codec
snd_page_alloc         16656  3 snd_hda_intel,snd_ca0106,snd_pcm

uname -a
Linux deer 2.6.27.7-134.fc10.x86_64 #1 SMP Mon Dec 1 22:21:35 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

rpm -q pulseaudio
pulseaudio-0.9.13-6.fc10.x86_64

Hardware:
MSI K9A2 CF-F motherboard, 2 GiB RAM, AMD Phenom(tm) 9550 Quad-Core Processor
Comment 119 Mace Moneta 2009-01-11 10:55:55 EST
Another system:

# lspci|grep -i audio; uname -a; rpm -q pulseaudio

00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
Linux slayer.moneta.optonline.net 2.6.28-3.fc11.x86_64 #1 SMP Fri Dec 26 07:54:09 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
pulseaudio-0.9.13-6.fc10.x86_64

/var/log/messages:

Jan 11 10:41:33 slayer pulseaudio[16762]: cpulimit.c: Recevied request to termin
ate due to CPU overload.
Jan 11 10:41:33 slayer pulseaudio[16762]: module-rescue-streams.c: Failed to mov
e sink input 5 "pulseaudio" to auto_null.
Comment 120 Mace Moneta 2009-01-11 21:52:14 EST
One more:

# lspci|grep -i audio; uname -a; rpm -q pulseaudio

00:0c.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
Linux mmouse.moneta.optonline.net 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 athlon i386 GNU/Linux
pulseaudio-0.9.13-6.fc10.i386


/var/log/messages:

Jan 11 21:46:50 mmouse pulseaudio[30756]: module-alsa-sink.c: ALSA woke us up to
 write new data to the device, but there was actually nothing to write! Most lik
ely this is an ALSA driver bug. Please report this issue to the PulseAudio devel
opers.

Jan 11 21:47:37 mmouse pulseaudio[30756]: cpulimit.c: Recevied request to termin
ate due to CPU overload.
Comment 121 Stephen 2009-01-17 21:04:41 EST
And another:

Jan 18 00:39:34 localhost pulseaudio[2673]: protocol-native.c: Failed to push data into queue
Jan 18 00:39:34 localhost pulseaudio[2673]: protocol-native.c: Failed to push data into queue
Jan 18 00:39:34 localhost pulseaudio[2673]: cpulimit.c: Recevied request to terminate due to CPU overload.
Jan 18 00:39:34 localhost pulseaudio[2673]: protocol-native.c: Failed to push data into queue
Jan 18 00:39:35 localhost kernel: pulseaudio[2673]: segfault at 5ad898 ip 005ad898 sp bff0bc3c error 4 in module-null-sink.so[603000+3
000]

$ grep "Failed to push data into queue" /var/log/messages | wc -l
113525

$ lspci | grep -i audio; uname -a; rpm -q pulseaudio
00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)
Linux yo 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 i686 i386 GNU/Linux
pulseaudio-0.9.13-6.fc10.i386
Comment 122 Michael Best 2009-01-19 15:22:33 EST
E: alsa-util.c: snd_pcm_avail_update() returned a value that is exceptionally large: 268431928 bytes (1521722 ms) Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.

Soft CPU time limit exhausted, terminating.
Hard CPU time limit exhausted, terminating forcibly.
Aborted

$ lspci
00:00.0 Host bridge: nVidia Corporation Device 07c1 (rev a2)
00:00.1 RAM memory: nVidia Corporation nForce 630i memory controller (rev a2)
00:01.0 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.1 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.2 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.3 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.4 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.5 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:01.6 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:02.0 RAM memory: nVidia Corporation nForce 630i memory controller (rev a1)
00:03.0 ISA bridge: nVidia Corporation Device 07d7 (rev a2)
00:03.1 SMBus: nVidia Corporation Device 07d8 (rev a1)
00:03.2 RAM memory: nVidia Corporation Device 07d9 (rev a1)
00:03.4 RAM memory: nVidia Corporation Device 07c8 (rev a1)
00:04.0 USB Controller: nVidia Corporation GeForce 7100/nForce 630i (rev a1)
00:04.1 USB Controller: nVidia Corporation GeForce 7100/nForce 630i (rev a1)
00:08.0 IDE interface: nVidia Corporation Device 056c (rev a1)
00:09.0 Audio device: nVidia Corporation MCP73 High Definition Audio (rev a1)
00:0a.0 PCI bridge: nVidia Corporation Device 056d (rev a1)
00:0b.0 PCI bridge: nVidia Corporation Device 056e (rev a1)
00:0c.0 PCI bridge: nVidia Corporation Device 056f (rev a1)
00:0d.0 PCI bridge: nVidia Corporation Device 056f (rev a1)
00:0e.0 IDE interface: nVidia Corporation Device 07f0 (rev a2)
00:0f.0 Ethernet controller: nVidia Corporation MCP73 Ethernet (rev a2)
00:10.0 VGA compatible controller: nVidia Corporation GeForce 7100/nForce 630i (
rev a2)
01:06.0 Serial controller: 3Com Corp, Modem Division 56K FaxModem Model 5610 (re
v 01)

$ lsmod | grep snd
snd_hda_intel         395544  2 
snd_seq_dummy           6660  0 
snd_seq_oss            30364  0 
snd_seq_midi_event      9600  1 snd_seq_oss
snd_seq                48320  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_pcm_oss            41600  0 
snd_mixer_oss          16896  2 snd_pcm_oss
snd_usb_audio          78596  1 
snd_usb_lib            17920  1 snd_usb_audio
snd_pcm                64772  3 snd_hda_intel,snd_pcm_oss,snd_usb_audio
snd_rawmidi            22272  1 snd_usb_lib
snd_timer              21896  2 snd_seq,snd_pcm
snd_seq_device          9996  4 snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
snd_page_alloc         11144  2 snd_hda_intel,snd_pcm
snd_hwdep              10372  2 snd_hda_intel,snd_usb_audio
snd                    51768  17 snd_hda_intel,snd_seq_dummy,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_usb_audio,snd_usb_lib,snd_pcm,snd_rawmidi,snd_timer,snd_seq_device,snd_hwdep
soundcore               9416  2 snd

$ uname -a
Linux hostname 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 i686 i386 GNU/Linux

$ rpm -qa | grep -i pulse
pulseaudio-core-libs-0.9.13-6.fc10.i386
akode-pulseaudio-2.0.2-5.fc9.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
pulseaudio-libs-glib2-0.9.13-6.fc10.i386
pulseaudio-module-x11-0.9.13-6.fc10.i386
pulseaudio-utils-0.9.13-6.fc10.i386
pulseaudio-libs-0.9.13-6.fc10.i386
pulseaudio-0.9.13-6.fc10.i386
pulseaudio-libs-devel-0.9.13-6.fc10.i386
xine-lib-pulseaudio-1.1.16-1.fc10.i386
pulseaudio-libs-zeroconf-0.9.13-6.fc10.i386
Comment 123 Clark Williams 2009-03-12 15:45:19 EDT
I'm seeing an issue that *might* be this one. I'm running the latest RT kernel (2.6.29-rc6-rt3) on top of an up to date F10. 

Periodically my pulseaudio dies and must be restarted by hand. If I run pulseaudio in the foreground with 

$ pulseaudio -vvv --daemonize=false

I get the normal spew of debugging output and eventually I see 'Killed.' and pulseaudio stops. The message implies that someone sent pulseaudio a SIGKILL, but I have no idea who would be doing that.

I do notice that it seems to correspond with an activity spike on my cpu usage graphs.

Any ideas?
Comment 124 Bruno Wolff III 2009-04-08 00:50:11 EDT
I think this might be related.
A week or so ago I started hearing sound stop working after about 5 seconds when playing something with xmms.
I ran in the foreground and got the following error output:

E: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 457348 bytes (2592 ms).
E: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_intel8x0'. Please report this issue to the ALSA developers.
E: rtpoll.c: Assertion 'usec <= ((pa_usec_t) 1000000ULL)*60ULL*60ULL' failed at pulsecore/rtpoll.c:548, function pa_rtpoll_set_timer_relative(). Aborting.
Aborted
Comment 125 Bruno Wolff III 2009-04-08 10:59:17 EDT
And another one that is a bit different:
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing wakeup watermark to 30.00 ms
E: memblock.c: Assertion 'length' failed at pulsecore/memblock.c:356, function pa_memblock_new_fixed(). Aborting.
Aborted
Comment 126 Lennart Poettering 2009-04-09 14:32:42 EDT
Bruno, the intel8x0 issue has been reported already as bug 472339.

Could you please get me a stack trace for the pa_memblock_new_fixed() issue.
Comment 127 Bruno Wolff III 2009-04-09 17:04:52 EDT
I probably won't get a chance to do it tonight, but I'll try to get it to happen again and get the stack trace info. (I don't know how to do that off hand, but I'll look for options to run the deamon with to see if one of them does it.)
Comment 128 Bruno Wolff III 2009-04-11 14:40:20 EDT
I retested it after updating to yesterday's rawhide (which had pulseaudio and may have had glibc changes).
I still get the memblock failure some of the time.
I haven't been able to get a stack trace.
When pulseaudio exits it doesn't leave a core file. (I raised the coredumpsize limit.) I can't get it to run reasonably under gdb in order to reproduce the problem. I didn't see any obvious option for generating a stack trace when an assertion failure occurs.
Can you suggest how I might get a stack trace for you?
Comment 129 Lennart Poettering 2009-04-11 22:25:22 EDT
Please follow the hints in this wiki page:

http://pulseaudio.org/wiki/Community#BugsPatchesTranslations
Comment 130 Bruno Wolff III 2009-04-13 22:52:16 EDT
I am not seeing any crashes now (after updating to kernel-PAE-2.6.29.1-70.fc11.i686), so either my other error was related to the one I was seeing most of the time or both issues got fixed at the same time.
Comment 131 Lennart Poettering 2009-04-23 18:07:30 EDT
I think most of these have now been fixed in the kernel. (At least regarding HDA and intel8x0).

There is still a bug open regarding the ens1371 driver, though.

I will now close this. Remanaing issues should be dealt with in seperate bug reports for the various drivers.
Comment 132 James.Schatzman@futurelabusa.com 2009-08-07 10:42:02 EDT
Although this bug is supposedly fixed, I am not so sure.

I have had chronic problems with identical-sounding symptoms with an Intel ICH5 system and ALSA. Pre-FC11, I got around the problem by using the OSS driver, which worked fine with this sound processor. In FC11, OSS has been killed off, so I had to revert to the ALSA driver. It still does not work correctly with ICH5.

Here is my info

Linux l2.fu-lab.com 2.6.29.6-213.fc11.i586 #1 SMP Tue Jul 7 20:45:17 EDT 2009 i686 i686 i386 GNU/Linux

alsa-lib-1.0.20-1.fc11.i586

pulseaudio-libs-0.9.15-14.fc11.i586

alsa-plugins-pulseaudio-1.0.20-2.fc11.i586


Whether I use straight ALSA or ALSA and PulseAudio, the symptoms are the same. Playing a video with Xine is very doubtful. Typically, a movie will play for 10 to 30 minutes, the sound will then abruptly cut out, sometimes with a brief crackle. It is then dead. There are no errors reported in the system log or to the Xine console. To get sound working again, I have to stop and restart Xine.

I have

xine-lib-1.1.16.3-2.fc11.i586

but the symptoms have been the same with several versions of xine-lib over the past several years.

If I disable the ICH5 processor and use an Audigy 2 card, sound is fine. Go back to the ICH5, and the symptoms reappear.

I don't understand the Linux sound architecture. Where, exactly, is the ICH5 driver code, and why did OSS work fine with it but not ALSA?

Thanks!

Jim

Note You need to log in before you can comment on or make changes to this bug.